<?php if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Vatansms_SMS_About {

	public function __construct() {
		add_action( 'admin_init', array( $this, 'adminInit' ) );
		add_filter( 'pwoosms_settings_sections', array( $this, 'addSection' ), 9999, 1 );
		add_action( 'pwoosms_settings_form_bottom_sms_about', array( $this, 'aboutPage' ) );
		add_action( 'wp_ajax_pwoosms_hide_about_page', array( $this, 'ajaxCallback' ) );
	}

	public function addSection( $sections ) {

		if ( ! get_option( 'pwoosms_hide_about_page' ) ) {
			$sections[] = array(
				'id'       => 'sms_about',
				'title'    => 'bilgi',
				'form_tag' => false
			);
		}

		return $sections;
	}

	public function adminInit() {
		if ( ! get_option( 'pwoosms_redirect_about_page' ) ) {

			delete_option( 'pwoosms_hide_about_page' );
			update_option( 'pwoosms_redirect_about_page', '1' );

			if ( ! headers_sent() ) {
				wp_redirect( admin_url( 'admin.php?page=vatansms-woocommerce-sms-pro&tab=about' ) );
				exit();
			}
		}
	}

	public function ajaxCallback() {
		update_option( 'pwoosms_hide_about_page', '1' );
		die();
	}

	public static function aboutPage() { ?>

        <div class="wrap about-wrap">

            <h1>VatanSms Woocommerce Sms Eklentisi</h1>

           <h2>VatanSms Woocommerce Sms Eklentisi hakkında destek talepleriniz için lütfen  

destek@vatansms.com mail adresimizden veya www.vatansms üzerinde  

yer alan iletişim numaralarımızdan bizimle iletişime geçiniz. </h2>

           
            <div class="changelog under-the-hood feature-list">
                <div class="last-feature">

                   
                    <p>
                        <label for="pwoosms_hide_about_page">
                            <input type="checkbox" id="pwoosms_hide_about_page" value="1">
                         Artik bana bu sayfayi gosterme!
                        </label>
                    </p>
                </div>
            </div>


            <div class="clear"></div>
        </div>
        <style type="text/css">
            a {
                text-decoration: none !important;
            }

            p {
                line-height: 28px !important;
                text-align: justify;
            }
        </style>
        <script type="text/javascript">
            jQuery( document ).on( 'change', '#pwoosms_hide_about_page', function () {
                jQuery.ajax( {
                    url: ajaxurl,
                    data: {
                        action: 'pwoosms_hide_about_page'
                    }
                } ).done( function () {
                    window.location = "<?php echo admin_url( 'admin.php?page=vatansms-woocommerce-sms-pro' ); ?>";
                } );
            } )
        </script>
	<?php }
}

new Vatansms_SMS_About();